function scroll_to(clicked_link, nav_height) {
    var element_class = clicked_link.attr('href').replace('#', '.');
    var scroll_to = 0;
    if (element_class != '.top-content') {
        element_class += '-container';
        scroll_to = $(element_class).offset().top - nav_height;
    }
    if ($(window).scrollTop() != scroll_to) {
        $('html, body').stop().animate({ scrollTop: scroll_to }, 1000);
    }
}


jQuery(document).ready(function() {

    /*
        Navigation
    */
    $('a.scroll-link').on('click', function(e) {
        e.preventDefault();
        scroll_to($(this), 0);
    });

    /*
        Background slideshow
    */
    // if ($(window).width() <= 767) {
    //     $('.top-content').backstretch("assets/img/backgrounds/bg-mobile.png");
    // } else {
    //     $('.top-content').backstretch("assets/img/backgrounds/bg.png");
    // }
    // $('.eafaefa').backstretch("assets/img/gef/yj.png");

    $('.bg-bottom').backstretch("assets/img/gef/bg-bottom.png");




    $('#top-navbar-1').on('shown.bs.collapse', function() {
        // $('.top-content').backstretch("resize");
    });
    $('#top-navbar-1').on('hidden.bs.collapse', function() {
        // $('.top-content').backstretch("resize");
    });
    $(window).scroll(function() {
        //小屏幕下的导航条折叠
        if ($(window).width() < 768) {
            //滚动屏幕时，把导航选项折叠起来
            $("#top-navbar-1").collapse('hide');
        }
        if ($(window).width() > 768) {
            $(".dropdown").removeClass("open");
        }
    });
    if ($(window).width() < 768) {
        //点击导航链接之后，把导航选项折叠起来
        $("#top-navbar-1 .navgetor").click(function() {
            $("#top-navbar-1").collapse('hide');
        });
    }

    /*
        Wow
    */
    new WOW().init();

    /*
        Modals
    */
    $('.launch-modal').on('click', function(e) {
        e.preventDefault();
        $('#' + $(this).data('modal-id')).modal();
    });

});



jQuery(window).load(function() {

    /*
    	Loader
    */
    $(".loader-img").fadeOut();
    $(".loader").delay(1000).fadeOut("slow");

    /*
    	Hidden images
    */
    $(".modal-body img, .testimonial-image img, #slider-1 img").attr("style", "width: auto !important; height: auto !important;");

});